slepc-3.21.1 2024-04-26
Report Typos and Errors

# FNPhiSetIndex

Sets the index of the phi-function.

### Synopsis

    #include "slepcfn.h"
    PetscErrorCode FNPhiSetIndex(FN fn,PetscInt k)

Logically Collective

### Input Parameters

| fn | - the math function context
| k | - the index

### Notes

The phi-functions are defined as follows. The default is k=1.

          phi_0(x) = exp(x)
          phi_1(x) = (exp(x)-1)/x
          phi_k(x) = (phi_{k-1}(x)-1/(k-1)!)/x

### See Also

FNPhiGetIndex()

### Level

intermediate

### Location

src/sys/classes/fn/impls/phi/fnphi.c

### Examples

src/mfn/tutorials/ex39.c
Index of all FN routines
Table of Contents for all manual pages
Index of all manual pages